Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/modis_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/modis_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/modis_simulator.F90	(revision 5158)
@@ -163,5 +163,5 @@
     cloudMask = retrievedTau(1:nSubCols) >= min_OpticalThickness
     
-    do i = 1, nSubCols
+    DO i = 1, nSubCols
        if(cloudMask(i)) then 
           ! ##################################################################################
@@ -380,5 +380,5 @@
     reffIceWRK(1:nPoints,1:nSubCols) = merge(particle_size,R_UNDEF,iceCloudMask)
     reffLiqWRK(1:nPoints,1:nSubCols) = merge(particle_size,R_UNDEF,waterCloudMask)
-    do j=1,nPoints
+    DO j=1,nPoints
 
        ! Fill clear and optically thin subcolumns with fill
@@ -439,5 +439,5 @@
     !   layers and use the trapezoidal rule.
     totalTau = 0._wp; totalProduct = 0._wp
-    do i = 2, size(tauIncrement)
+    DO i = 2, size(tauIncrement)
       if(totalTau + tauIncrement(i) > tauLimit) then 
         deltaX = tauLimit - totalTau
@@ -479,5 +479,5 @@
     ! Find the extinction-weighted value of f(tau), assuming constant f within each layer
     totalTau = 0._wp; totalProduct = 0._wp
-    do i = 1, size(tauIncrement)
+    DO i = 1, size(tauIncrement)
       if(totalTau + tauIncrement(i) > tauLimit) then 
         deltaX       = tauLimit - totalTau
@@ -713,5 +713,5 @@
     cloudMask(1:nLevels) = tau(1:nLevels) > 0. 
     cloudIndicies = pack((/ (i, i = 1, nLevels) /), mask = cloudMask) 
-    do i = 1, size(cloudIndicies)
+    DO i = 1, size(cloudIndicies)
        call two_stream(tau(cloudIndicies(i)), g(cloudIndicies(i)), w0(cloudIndicies(i)), Refl(i), Trans(i))
     end do
@@ -893,5 +893,5 @@
     Tran_cumulative(1) = Tran(1)    
     
-    do i=2, npts
+    DO i=2, npts
        ! place (add) previous combined layer(s) reflectance on top of layer i, w/black surface (or ignoring surface):
        Refl_cumulative(i) = Refl_cumulative(i-1) + Refl(i)*(Tran_cumulative(i-1)**2)/(1._wp - Refl_cumulative(i-1) * Refl(i))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/optics_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/optics_lib.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/optics_lib.F90	(revision 5158)
@@ -539,5 +539,5 @@
     if (alam < cutice) then
        ! Region from 0.045 microns to 167.0 microns - no temperature depend
-       do i=2,nwl
+       DO i=2,nwl
           if(alam < wl(i)) continue
        enddo
@@ -557,10 +557,10 @@
        if(tk > temref(1)) tk=temref(1)
        if(tk < temref(4)) tk=temref(4)
-       do i=2,4
+       DO i=2,4
           if(tk.ge.temref(i)) go to 12
        enddo
 12     lt1 = i
        lt2 = i-1
-       do i=2,nwlt
+       DO i=2,nwlt
           if(alam.le.wlt(i)) go to 14
        enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/parasol.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/parasol.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/parasol.F90	(revision 5158)
@@ -159,11 +159,11 @@
     ! Compute grid-box averaged Parasol reflectances
     parasolrefl(:,:) = 0._wp
-    do k = 1, nrefl
-       do ic = 1, ncol
+    DO k = 1, nrefl
+       DO ic = 1, ncol
           parasolrefl(:,k) = parasolrefl(:,k) + refl(:,ic,k)
        enddo
     enddo
     
-    do k = 1, nrefl
+    DO k = 1, nrefl
        parasolrefl(:,k) = parasolrefl(:,k) / float(ncol)
        ! if land=1 -> parasolrefl=R_UNDEF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/phys_cosp2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/phys_cosp2.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/phys_cosp2.F90	(revision 5158)
@@ -44,6 +44,6 @@
 ! mr_ozone,                             !Concentration ozone (Kg/Kg)
 ! dem_s                                 !Cloud optical emissivity
-! dtau_s               			!Cloud optical thickness
-! emsfc_lw = 1.        			!Surface emissivity dans radlwsw.F90
+! dtau_s                           !Cloud optical thickness
+! emsfc_lw = 1.                    !Surface emissivity dans radlwsw.F90
 
 !!! Outputs :
@@ -159,5 +159,5 @@
 ! Declaration necessaires pour les sorties IOIPSL
   integer :: ii
-  real    :: ecrit_day,ecrit_hf,ecrit_mth, missing_val
+  REAL    :: ecrit_day,ecrit_hf,ecrit_mth, missing_val
   logical :: ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP, ok_all_xml
 
@@ -177,5 +177,5 @@
   real,dimension(Nlevlmdz)        :: presnivs
   integer                         :: itap,k,ip
-  real                            :: dtime,freq_cosp
+  REAL                            :: dtime,freq_cosp
   real,dimension(2)               :: time_bnds
 
@@ -312,6 +312,6 @@
 
         zlev_half(:,1) = phis(:)/9.81
-        do k = 2, Nlevels
-          do ip = 1, Npoints
+        DO k = 2, Nlevels
+          DO ip = 1, Npoints
            zlev_half(ip,k) = phi(ip,k)/9.81 + &
                (phi(ip,k)-phi(ip,k-1))/9.81 * (ph(ip,k)-p(ip,k)) / (p(ip,k)-p(ip,k-1))
@@ -330,5 +330,5 @@
         gbx%skt  = skt !Skin temperature (K)
 
-        do ip = 1, Npoints
+        DO ip = 1, Npoints
           if (fracTerLic(ip).ge.0.5) then
              gbx%land(ip) = 1.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/prec_scops.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/prec_scops.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/prec_scops.F90	(revision 5158)
@@ -66,7 +66,7 @@
       if (cv_col .eq. 0) cv_col=1
  
-      do ilev=1,nlev
-        do ibox=1,ncol
-          do j=1,npoints 
+      DO ilev=1,nlev
+        DO ibox=1,ncol
+          DO j=1,npoints
             prec_frac(j,ibox,ilev) = 0
           enddo
@@ -74,11 +74,11 @@
       enddo
       
-      do j=1,npoints
-       do ibox=1,ncol
+      DO j=1,npoints
+       DO ibox=1,ncol
         frac_out_ls(j,ibox)=0
         frac_out_cv(j,ibox)=0
         flag_ls=0
         flag_cv=0
-        do ilev=1,nlev
+        DO ilev=1,nlev
           if (frac_out(j,ibox,ilev) .eq. 1) then 
             flag_ls=1
@@ -98,10 +98,10 @@
 
 !      initialize the top layer      
-       do j=1,npoints
+       DO j=1,npoints
         flag_ls=0
         flag_cv=0
     
         if (ls_p_rate(j,1) .gt. 0.) then 
-            do ibox=1,ncol ! possibility ONE
+            DO ibox=1,ncol ! possibility ONE
                 if (frac_out(j,ibox,1) .eq. 1) then 
                     prec_frac(j,ibox,1) = 1
@@ -110,5 +110,5 @@
             enddo ! loop over ncol
             if (flag_ls .eq. 0) then ! possibility THREE
-                do ibox=1,ncol
+                DO ibox=1,ncol
                     if (frac_out(j,ibox,2) .eq. 1) then 
                         prec_frac(j,ibox,1) = 1
@@ -118,5 +118,5 @@
             endif
         if (flag_ls .eq. 0) then ! possibility Four
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out_ls(j,ibox) .eq. 1) then 
             prec_frac(j,ibox,1) = 1
@@ -126,5 +126,5 @@
         endif
         if (flag_ls .eq. 0) then ! possibility Five
-        do ibox=1,ncol
+        DO ibox=1,ncol
     !     prec_frac(j,1:ncol,1) = 1
         prec_frac(j,ibox,1) = 1
@@ -135,5 +135,5 @@
      
         if (cv_p_rate(j,1) .gt. 0.) then 
-         do ibox=1,ncol ! possibility ONE
+         DO ibox=1,ncol ! possibility ONE
           if (frac_out(j,ibox,1) .eq. 2) then 
            if (prec_frac(j,ibox,1) .eq. 0) then
@@ -146,5 +146,5 @@
         enddo ! loop over ncol
         if (flag_cv .eq. 0) then ! possibility THREE
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out(j,ibox,2) .eq. 2) then 
                 if (prec_frac(j,ibox,1) .eq. 0) then
@@ -158,5 +158,5 @@
         endif
         if (flag_cv .eq. 0) then ! possibility Four
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out_cv(j,ibox) .eq. 1) then 
                 if (prec_frac(j,ibox,1) .eq. 0) then
@@ -170,5 +170,5 @@
         endif
         if (flag_cv .eq. 0) then  ! possibility Five
-        do ibox=1,cv_col
+        DO ibox=1,cv_col
                 if (prec_frac(j,ibox,1) .eq. 0) then
             prec_frac(j,ibox,1) = 2
@@ -187,11 +187,11 @@
 
 !     working on the levels from top to surface
-      do ilev=2,nlev
-       do j=1,npoints
+      DO ilev=2,nlev
+       DO j=1,npoints
         flag_ls=0
         flag_cv=0
     
         if (ls_p_rate(j,ilev) .gt. 0.) then 
-         do ibox=1,ncol ! possibility ONE&TWO
+         DO ibox=1,ncol ! possibility ONE&TWO
           if ((frac_out(j,ibox,ilev) .eq. 1) .or. ((prec_frac(j,ibox,ilev-1) .eq. 1)     &
             .or. (prec_frac(j,ibox,ilev-1) .eq. 3))) then 
@@ -201,5 +201,5 @@
         enddo ! loop over ncol
         if ((flag_ls .eq. 0) .and. (ilev .lt. nlev)) then ! possibility THREE
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out(j,ibox,ilev+1) .eq. 1) then 
             prec_frac(j,ibox,ilev) = 1
@@ -209,5 +209,5 @@
         endif
         if (flag_ls .eq. 0) then ! possibility Four
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out_ls(j,ibox) .eq. 1) then 
             prec_frac(j,ibox,ilev) = 1
@@ -217,5 +217,5 @@
         endif
         if (flag_ls .eq. 0) then ! possibility Five
-        do ibox=1,ncol
+        DO ibox=1,ncol
 !     prec_frac(j,1:ncol,ilev) = 1
         prec_frac(j,ibox,ilev) = 1
@@ -225,5 +225,5 @@
     
         if (cv_p_rate(j,ilev) .gt. 0.) then 
-         do ibox=1,ncol ! possibility ONE&TWO
+         DO ibox=1,ncol ! possibility ONE&TWO
           if ((frac_out(j,ibox,ilev) .eq. 2) .or. ((prec_frac(j,ibox,ilev-1) .eq. 2)     &
             .or. (prec_frac(j,ibox,ilev-1) .eq. 3))) then 
@@ -237,5 +237,5 @@
        enddo ! loop over ncol
         if ((flag_cv .eq. 0) .and. (ilev .lt. nlev)) then ! possibility THREE
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out(j,ibox,ilev+1) .eq. 2) then 
                 if (prec_frac(j,ibox,ilev) .eq. 0) then
@@ -249,5 +249,5 @@
         endif
         if (flag_cv .eq. 0) then ! possibility Four
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out_cv(j,ibox) .eq. 1) then 
                 if (prec_frac(j,ibox,ilev) .eq. 0) then
@@ -261,5 +261,5 @@
         endif
         if (flag_cv .eq. 0) then  ! possibility Five 
-        do ibox=1,cv_col
+        DO ibox=1,cv_col
                 if (prec_frac(j,ibox,ilev) .eq. 0) then
             prec_frac(j,ibox,ilev) = 2
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam.F90	(revision 5158)
@@ -153,7 +153,7 @@
        d_gate     = -1
     endif
-    do k=start_gate,end_gate,d_gate
+    DO k=start_gate,end_gate,d_gate
        ! Loop over each profile (nprof)
-       do pr=1,nprof
+       DO pr=1,nprof
           ! Attenuation due to hydrometeors between radar and volume
           
@@ -265,6 +265,6 @@
 
        ! Effective reflectivity histogram
-       do i=1,Npoints
-          do j=1,llm
+       DO i=1,Npoints
+          DO j=1,llm
              cfad_ze(i,:,j) = hist1D(Ncolumns,Ze_totFlip(i,:,j),DBZE_BINS,cloudsat_histRef)
           enddo
@@ -274,6 +274,6 @@
     else
        ! Effective reflectivity histogram
-       do i=1,Npoints
-          do j=1,llm
+       DO i=1,Npoints
+          DO j=1,llm
              cfad_ze(i,:,j) = hist1D(Ncolumns,Ze_tot(i,:,j),DBZE_BINS,cloudsat_histRef)
           enddo
@@ -315,7 +315,7 @@
             trim(rcfg%scale_LUT_file_name) // '_radar_Z_scale_LUT.dat'
        
-       do i=1,maxhclass
-          do j=1,mt_ntt
-             do k=1,nRe_types
+       DO i=1,maxhclass
+          DO j=1,mt_ntt
+             DO k=1,nRe_types
                 ind = i+(j-1)*maxhclass+(k-1)*(nRe_types*mt_ntt)
                 read(12,rec=ind) rcfg%Z_scale_flag(i,j,k), &
@@ -351,7 +351,7 @@
          trim(rcfg%scale_LUT_file_name) // '_radar_Z_scale_LUT.dat'
     
-    do i=1,maxhclass
-       do j=1,mt_ntt
-          do k=1,nRe_types
+    DO i=1,maxhclass
+       DO j=1,mt_ntt
+          DO k=1,nRe_types
              ind = i+(j-1)*maxhclass+(k-1)*(nRe_types*mt_ntt)
              if(.not.LUT_file_exists .or. rcfg%Z_scale_added_flag(i,j,k)) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam_optics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/quickbeam_optics.F90	(revision 5158)
@@ -71,5 +71,5 @@
     mt_ttl = (/ ((j-1)*5-60 + 273.15, j = 1, cnt_liq) /)
     D(1) = dmin
-    do j=2,nd
+    DO j=2,nd
        D(j) = D(j-1)*exp((log(dmax)-log(dmin))/(nd-1))
     enddo
@@ -152,6 +152,6 @@
     kr_vol   = 0._wp
 
-    do k=1,ngate       ! Loop over each profile (nprof)
-       do pr=1,nprof
+    DO k=1,ngate       ! Loop over each profile (nprof)
+       DO pr=1,nprof
           if (g_vol_in_present) then
              g_vol(pr,k) = g_vol_in(pr,k)
@@ -167,5 +167,5 @@
           ! Determine if hydrometeor(s) present in volume
           hydro = .false.
-          do j=1,rcfg%nhclass
+          DO j=1,rcfg%nhclass
              if ((hm_matrix(pr,k,j) > 1E-12) .and. (sd%dtype(j) > 0)) then
                 hydro = .true.
@@ -180,5 +180,5 @@
              
              ! Loop over hydrometeor type
-             do tp=1,rcfg%nhclass
+             DO tp=1,rcfg%nhclass
                 Re_internal = re_matrix(pr,k,tp)
 
@@ -368,5 +368,5 @@
     
     where(kr_vol(:,:) <= EPSILON(kr_vol)) 
-       ! Volume is hydrometeor-free	
+       ! Volume is hydrometeor-free
        !z_vol(:,:)  = undef
        z_ray(:,:)  = undef
@@ -820,5 +820,5 @@
        lidx = infind(D,dmin)
        uidx = infind(D,dmax)    
-       do k=lidx,uidx
+       DO k=lidx,uidx
           N(k) = (ahp*(D(k)*1E-3)**bhp) * 1E-12    
        enddo
@@ -1006,5 +1006,5 @@
        sizep = (pi*D0)/wl
        dqv(1) = 0._wp
-       do i=1,nsizes
+       DO i=1,nsizes
           call mieint(sizep(i), m0(i), one, dqv, qext(i), dqsc, qbsca(i), &
                dg, xs1, xs2, dph, err)
@@ -1209,5 +1209,5 @@
     sumo = 0._wp
     aux1 = 1.1_wp*e_th
-    do i=1,nbands_o2
+    DO i=1,nbands_o2
        aux2   = f/v0(i)
        aux3   = v0(i)-f
@@ -1233,5 +1233,5 @@
     sumo = 0._wp
     aux1 = 4.8_wp*e_th
-    do i=1,nbands_h2o
+    DO i=1,nbands_h2o
        aux2    = f/v1(i)
        aux3    = v1(i)-f
@@ -1298,5 +1298,5 @@
     ! 4 for monodisperse distribution,
     ! 5 for lognormal distribution.
-	!
+    !
     ! PHASE - Set to 0 for liquid, 1 for ice.
     ! DMIN  - The minimum drop size for this class (micron), ignored for monodisperse.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/scops.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/scops.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/scops.F90	(revision 5158)
@@ -94,5 +94,5 @@
     if (ncolprint.ne.0) then
        write (6,'(a)') 'frac_out_pp_rev:'
-       do j=1,npoints,1000
+       DO j=1,npoints,1000
           write(6,'(a10)') 'j='
           write(6,'(8I10)') j
@@ -104,5 +104,5 @@
     if (ncolprint.ne.0) then
        write (6,'(a)') 'last_frac_pp:'
-       do j=1,npoints,1000
+       DO j=1,npoints,1000
           write(6,'(a10)') 'j='
           write(6,'(8I10)') j
@@ -139,5 +139,5 @@
           IF (ncolprint.ne.0) then
              write (6,'(a)') 'threshold_nsf2:'
-             do j=1,npoints,1000
+             DO j=1,npoints,1000
                 write(6,'(a10)') 'j='
                 write(6,'(8I10)') j
@@ -156,5 +156,5 @@
           !maxocc(1:npoints,ibox) = merge(1,0,boxpos(1:npoints,ibox) .le. conv(1:npoints,ilev))
           !maxocc(1:npoints,ibox) = merge(1,0, conv(1:npoints,ilev) .gt. boxpos(1:npoints,ibox))
-          do j=1,npoints
+          DO j=1,npoints
              if (boxpos(j,ibox).le.conv(j,ilev)) then
                 maxocc(j,ibox) = 1
@@ -214,5 +214,5 @@
        ! Set last_frac to tca at this level, so as to be tca from last level next time round
        if (ncolprint.ne.0) then
-          do j=1,npoints ,1000
+          DO j=1,npoints ,1000
              write(6,'(a10)') 'j='
              write(6,'(8I10)') j
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/MISR_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/MISR_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/MISR_simulator.F90	(revision 5158)
@@ -78,9 +78,9 @@
     box_MISR_ztop(1:npoints,1:ncol) = 0._wp  
 
-    do j=1,npoints
+    DO j=1,npoints
 
        ! Estimate distribution of Model layer tops
        dist_model_layertops(j,:)=0
-       do ilev=1,nlev
+       DO ilev=1,nlev
           ! Define location of "layer top"
           if(ilev.eq.1 .or. ilev.eq.nlev) then
@@ -93,5 +93,5 @@
           ! *NOTE* the first MISR level is "no height" level
           iMISR_ztop=2
-          do loop=2,numMISRHgtBins
+          DO loop=2,numMISRHgtBins
              if ( ztest .gt. 1000*misr_histHgt(loop+1) ) then
                 iMISR_ztop=loop+1
@@ -103,10 +103,10 @@
 
        ! For each GCM cell or horizontal model grid point   
-       do ibox=1,ncol
+       DO ibox=1,ncol
           ! Compute optical depth as a cummulative distribution in the vertical (nlev).
           tauOUT(j,ibox)=sum(dtau(j,ibox,1:nlev))
 
           thres_crossed_MISR=0
-          do ilev=1,nlev
+          DO ilev=1,nlev
              ! If there a cloud, start the counter and store this height
              if(thres_crossed_MISR .eq. 0 .and. dtau(j,ibox,ilev) .gt. 0.) then
@@ -187,5 +187,5 @@
     ! This setup assumes the columns represent a about a 1 to 4 km scale
     ! it will need to be modified significantly, otherwise
-!	! DS2015: Add loop over gridpoints and index accordingly.
+!    ! DS2015: Add loop over gridpoints and index accordingly.
 !    if(ncol.eq.1) then
 !       ! Adjust based on neightboring points.
@@ -214,5 +214,5 @@
      
     ! Fill dark scenes 
-    do j=1,numMISRHgtBins
+    DO j=1,numMISRHgtBins
        where(sunlit .ne. 1) dist_model_layertops(1:npoints,j) = R_UNDEF
     enddo
@@ -254,5 +254,5 @@
     tauWRK(1:npoints,1:ncol)                      = tau(1:npoints,1:ncol)
     box_MISR_ztopWRK(1:npoints,1:ncol)            = box_MISR_ztop(1:npoints,1:ncol)
-    do j=1,npoints
+    DO j=1,npoints
 
        ! Subcolumns that are cloudy(true) and not(false)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp.F90	(revision 5158)
@@ -239,5 +239,5 @@
      real(wp),dimension(:),pointer :: &
           isccp_totalcldarea => null(), & ! The fraction of model grid box columns with cloud
-           		                  ! somewhere in them. (%)
+                                     ! somewhere in them. (%)
           isccp_meantb => null(),       & ! Mean all-sky 10.5 micron brightness temperature. (K)
           isccp_meantbclr => null(),    & ! Mean clear-sky 10.5 micron brightness temperature. (K)
@@ -837,5 +837,5 @@
        allocate(parasolPix_refl(parasolIN%Npoints,parasolIN%Ncolumns,PARASOL_NREFL))
        ! Call simulator
-       do icol=1,parasolIN%Ncolumns
+       DO icol=1,parasolIN%Ncolumns
           call parasol_subcolumn(parasolIN%npoints, PARASOL_NREFL,                       &
                                  parasolIN%tautot_S_liq(1:parasolIN%Npoints,icol),       &
@@ -855,5 +855,5 @@
        allocate(cloudsatDBZe(cloudsatIN%Npoints,cloudsatIN%Ncolumns,cloudsatIN%Nlevels), &
                 cloudsatZe_non(cloudsatIN%Npoints,cloudsatIN%Ncolumns,cloudsatIN%Nlevels))
-       do icol=1,cloudsatIN%ncolumns
+       DO icol=1,cloudsatIN%ncolumns
           call quickbeam_subcolumn(cloudsatIN%rcfg,cloudsatIN%Npoints,cloudsatIN%Nlevels,&
                                    cloudsatIN%hgt_matrix/1000._wp,                       &
@@ -876,5 +876,5 @@
                    modisRetrievedCloudTopPressure(modisIN%nSunlit,modisIN%nColumns))
           ! Call simulator
-          do i = 1, modisIN%nSunlit
+          DO i = 1, modisIN%nSunlit
              call modis_subcolumn(modisIN%Ncolumns,modisIN%Nlevels,modisIN%pres(i,:),    &
                                   modisIN%tau(int(modisIN%sunlit(i)),:,:),               &
@@ -1246,5 +1246,5 @@
 !            cospgridIN%hgt_matrix, cospgridIN%hgt_matrix_half,                           & !PREC_BUG
             cospgridIN%land(:), cospgridIN%surfelev(:), cospgridIN%at(:,cospIN%Nlevels), & !PREC_BUG
-	    cospIN%fracPrecipIce, cospgridIN%hgt_matrix, cospgridIN%hgt_matrix_half,     & !PREC_BUG
+        cospIN%fracPrecipIce, cospgridIN%hgt_matrix, cospgridIN%hgt_matrix_half,     & !PREC_BUG
             cospOUT%cloudsat_cfad_ze(ij:ik,:,:), cospOUT%cloudsat_precip_cover,          &
             cospOUT%cloudsat_pia)
@@ -1691,5 +1691,5 @@
        ! Other grid requested. Constant vertical spacing with top at 20 km
        if (.not. luseCSATvgrid) zstep = 20000._wp/Nvgrid
-       do i=1,Nvgrid
+       DO i=1,Nvgrid
           vgrid_zl(Nlvgrid-i+1) = (i-1)*zstep
           vgrid_zu(Nlvgrid-i+1) = i*zstep
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_cloudsat_interface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_cloudsat_interface.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_cloudsat_interface.F90	(revision 5158)
@@ -118,5 +118,5 @@
     ! Set up Re bin "structure" for z_scaling
     rcfg%base_list(1)=0
-    do j=1,Re_MAX_BIN
+    DO j=1,Re_MAX_BIN
        rcfg%step_list(j)=0.1_wp+0.1_wp*((j-1)**1.5)
        if(rcfg%step_list(j)>Re_BIN_LENGTH) then
@@ -138,5 +138,5 @@
 
   !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-  !                              	  END MODULE
+  !                                    END MODULE
   !%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 END MODULE MOD_COSP_CLOUDSAT_INTERFACE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_optics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_optics.F90	(revision 5158)
@@ -71,5 +71,5 @@
     
     varOUT(1:dim1,1:dim2,1:dim3) = 0._wp
-    do j=1,dim2
+    DO j=1,dim2
        where(flag(:,j,:) .eq. 1)
           varOUT(:,j,:) = varIN2
@@ -135,5 +135,5 @@
     
     
-    do i=1,npoints
+    DO i=1,npoints
        where(cloudIce(i,:, :) <= 0.) 
           fracL(:, :) = 1._wp
@@ -170,6 +170,6 @@
     w0(1:nPoints,1:nSubCols,1:nLevels) = 0._wp
     
-    do j =1,nPoints
-       do i=1,nSubCols
+    DO j =1,nPoints
+       DO i=1,nSubCols
           water_g(1:nLevels)  = get_g_nir(  phaseIsLiquid, sizeLIQ(j,i,1:nLevels)) 
           water_w0(1:nLevels) = get_ssa_nir(phaseIsLiquid, sizeLIQ(j,i,1:nLevels))
@@ -189,5 +189,5 @@
     
     ! Compute the total optical thickness and the proportion due to liquid in each cell
-    do i=1,npoints
+    DO i=1,npoints
        where(tauLIQ(i,1:nSubCols,1:nLevels) + tauICE(i,1:nSubCols,1:nLevels) > 0.) 
           fracLIQ(i,1:nSubCols,1:nLevels) = tauLIQ(i,1:nSubCols,1:nLevels)/ &
@@ -358,5 +358,5 @@
     ! Altitude at half pressure levels:
     zheight(1:npoints,nlev+1) = 0._wp
-    do k=nlev,1,-1
+    DO k=nlev,1,-1
        zheight(1:npoints,k) = zheight(1:npoints,k+1) &
             -(presf(1:npoints,k)-presf(1:npoints,k+1))/(rhoair(1:npoints,k)*grav)
@@ -392,5 +392,5 @@
     ! ##############################################################################
     ! Polynomials kp_lidar derived from Mie theory
-    do i = 1, npart
+    DO i = 1, npart
        where (rad_part(1:npoints,1:nlev,i) .gt. 0.0)
           kp_part(1:npoints,1:nlev,i) = &
@@ -412,5 +412,5 @@
 
     ! Loop over all subcolumns
-    do icol=1,ncolumns
+    DO icol=1,ncolumns
        ! ##############################################################################
        ! Mixing ratio particles in each subcolum
@@ -425,5 +425,5 @@
        ! ##############################################################################
        ! Alpha of particles in each subcolumn:
-       do i = 1, npart
+       DO i = 1, npart
           where (rad_part(1:npoints,1:nlev,i) .gt. 0.0)
              alpha_part(1:npoints,1:nlev,i) = 3._wp/4._wp * Qscat &
@@ -437,10 +437,10 @@
        ! Optical thicknes
        tau_part(1:npoints,1:nlev,1:npart) = rdiffm * alpha_part(1:npoints,1:nlev,1:npart)
-       do i = 1, npart
+       DO i = 1, npart
           ! Optical thickness of each layer (particles)
           tau_part(1:npoints,1:nlev,i) = tau_part(1:npoints,1:nlev,i) &
                & * (zheight(1:npoints,1:nlev)-zheight(1:npoints,2:nlev+1) )
           ! Optical thickness from TOA to layer k (particles)
-          do k=zi,zf,zinc
+          DO k=zi,zf,zinc
              tau_part(1:npoints,k,i) = tau_part(1:npoints,k,i) + tau_part(1:npoints,k+zoffset,i)
           enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_stats.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_stats.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_stats.F90	(revision 5158)
@@ -81,5 +81,5 @@
    r = 0._wp
 
-   do i=1,Npoints
+   DO i=1,Npoints
      ! Calculate tops and bottoms of new and old grids
      oldgrid_bot = zhalf(i,:)
@@ -88,9 +88,9 @@
      l = 0 ! Index of level in the old grid
      ! Loop over levels in the new grid
-     do k = 1,Nglevels
+     DO k = 1,Nglevels
        Nw = 0 ! Number of weigths
        wt = 0._wp ! Sum of weights
        ! Loop over levels in the old grid and accumulate total for weighted average
-       do
+       DO
          l = l + 1
          w = 0.0 ! Initialise weight to 0
@@ -119,5 +119,5 @@
              Nw = Nw + 1
              wt = wt + w
-             do j=1,Ncolumns
+             DO j=1,Ncolumns
                if (lunits) then
                  if (y(i,j,l) /= R_UNDEF) then
@@ -138,5 +138,5 @@
        ! Calculate average in new grid
        if (Nw > 0) then
-         do j=1,Ncolumns
+         DO j=1,Ncolumns
            r(i,j,k) = r(i,j,k)/wt
          enddo
@@ -146,7 +146,7 @@
 
    ! Set points under surface to R_UNDEF, and change to dBZ if necessary
-   do k=1,Nglevels
-     do j=1,Ncolumns
-       do i=1,Npoints
+   DO k=1,Nglevels
+     DO j=1,Ncolumns
+       DO i=1,Npoints
          if (newgrid_top(k) > zhalf(i,1)) then ! Level above model bottom level
            if (lunits) then
@@ -202,6 +202,6 @@
     radar_tcc = 0._wp
     radar_tcc2 = 0._wp
-    do pr=1,Npoints
-       do i=1,Ncolumns
+    DO pr=1,Npoints
+       DO i=1,Ncolumns
           flag_sat = 0
           flag_cld = 0
@@ -210,10 +210,10 @@
           ! look for j_1km from bottom to top
           j = 1
-          do while (Ze_tot(pr,i,j) .eq. R_GROUND)
+          DO while (Ze_tot(pr,i,j) .eq. R_GROUND)
              j = j+1
           enddo
           j_1km = j+1  !this is the vertical index of 1km above surface  
           
-          do j=1,Nlevels
+          DO j=1,Nlevels
              sc_ratio = beta_tot(pr,i,j)/beta_mol(pr,j)
              if ((sc_ratio .le. s_att) .and. (flag_sat .eq. 0)) flag_sat = j
@@ -266,5 +266,5 @@
     integer :: ij
     
-    do ij=2,Nbins+1  
+    DO ij=2,Nbins+1
        hist1D(ij-1) = count(var .ge. bins(ij-1) .and. var .lt. bins(ij))
        if (count(var .eq. R_GROUND) .ge. 1) hist1D(ij-1)=R_UNDEF
@@ -298,6 +298,6 @@
     integer :: ij,ik
     
-    do ij=2,nbin1+1
-       do ik=2,nbin2+1
+    DO ij=2,nbin1+1
+       DO ik=2,nbin2+1
           jointHist(ij-1,ik-1)=count(var1 .ge. bin1(ij-1) .and. var1 .lt. bin1(ij) .and. &
                var2 .ge. bin2(ik-1) .and. var2 .lt. bin2(ik))        
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_utils.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_utils.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/cosp_utils.F90	(revision 5158)
@@ -77,7 +77,7 @@
         delta = (alpha_x + b_x + d_x - n_bx + 1._wp)
         
-        do k=1,Nlevels
-            do j=1,Ncolumns
-                do i=1,Npoints
+        DO k=1,Nlevels
+            DO j=1,Ncolumns
+                DO i=1,Npoints
                     if ((prec_frac(i,j,k)==prec_type).or.(prec_frac(i,j,k)==3.)) then
                         rho = p(i,k)/(287.05_wp*T(i,k))
